// types
import type * as interfaces from '../dist_ts_interfaces/index.js';
export type {
  interfaces
}

// ====================================
// imports
// ====================================

import { logger } from './serviceworker.logging.js';
logger.log('note', 'mainthread console initialized!');

import { LosslessServiceworker } from './lele-serviceworker.classes.serviceworker.js';

export type {
  LosslessServiceworker
}

export const getServiceWorker = async () => {
  const losslessServiceWorkerInstance = await LosslessServiceworker.createServiceWorker(); // lets setup the service worker
  logger.log('ok', 'service worker ready!'); // and wait for it to be ready
  return losslessServiceWorkerInstance;
};
